## sphinx 1.3.4

=== debian/changelog ===
sphinx (1.3.4-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Harlan Lieberman-Berg <hlieberman@setec.io>  Tue, 19 Jan 2016 22:41:03 -0500

sphinx (1.3.4-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Clean and ignore auto-generated files.
  * jstest.py: Add gi.require_version() calls to fix warnings from PyGI.
  * Bump version number in sphinx-autogen manpage.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 14 Jan 2016 19:01:44 +0300

sphinx (1.3.3-1) unstable; urgency=medium

  * New upstream bugfix release.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 03 Dec 2015 18:35:09 +0300

sphinx (1.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Drop the following patches, applied upstream:
    - py35compat.diff
    - no_theme_rename_warning.diff
    - addto_only_babel.diff
    - print_help.diff
    - compat_css.diff
  * Refresh and rebase other patches.
  * Stop exporting SOURCE_DATE_EPOCH in debian/rules.
    Debhelper does it automatically since version 9.20151004.
  * Update sphinx-autogen.1 man page.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 30 Nov 2015 18:31:36 +0300

sphinx (1.3.1-8) unstable; urgency=medium

  * Do not fail on removing SOURCES.txt file when it does not exist.
    Fixes build with dh-python ≥ 2.20151103.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 08 Nov 2015 16:13:14 +0300

sphinx (1.3.1-7) unstable; urgency=medium

  * Make libjs-sphinxdoc depend on libjs-jquery ≥ 1.11.1 and libjs-underscore
    ≥ 1.3.1, as these are the versions used by upstream.
  * Fix command in autopkgtests to make them pass.
  * Update Vcs fields for Git migration.

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 18 Oct 2015 18:38:38 +0300

sphinx (1.3.1-6) unstable; urgency=medium

  * Update reproducibility patches to the latest version from Val Lorentz:
    - Update reproducible_grammar.diff.
    - Make searchindex generation deterministic (reproducible_searchindex.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 03 Sep 2015 16:54:07 +0300

sphinx (1.3.1-5) unstable; urgency=medium

  * Fix remaining reproducibility issues (closes: #795976):
    - Export SOURCE_DATE_EPOCH in debian/rules.
    - Set PYTHONHASHSEED=0 when generating grammar files.
    - Make grammar generation deterministic (reproducible_grammar.diff).
    - Make inventory generation deterministic (reproducible_inventory.diff).
    - Make JavaScript locales deterministic (reproducible_js_locale.diff).
    Many thanks to Val Lorentz for the patches.
  * Drop XS-Testsuite header, no longer needed with dpkg ≥ 1.17.11.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 20 Aug 2015 11:56:56 +0300

sphinx (1.3.1-4) unstable; urgency=medium

  * Fix message when calling sphinx-build without arguments
    (print_help.diff; closes: #792715).
  * Add compatibility default.css file (compat_css.diff).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Sat, 15 Aug 2015 18:04:49 +0300

sphinx (1.3.1-3) experimental; urgency=medium

  * Update debian/TODO with the actual information.
  * Backport upstream patch to disable warning about renamed default theme
    (no_theme_rename_warning.diff).
  * Backport upstream patch to not insert babel-specific code to generated
    LaTeX files when babel is not in use (addto_only_babel.diff).
  * Add support for $SOURCE_DATE_EPOCH environment variable, to make
    the documentation builds reproducible (source_date_epoch.diff).
  * dh_sphinxdoc: Symlink css3-mediaqueries.js, thanks to Jakub Wilk
    for the patch (closes: #793045).
  * dh_sphinxdoc: Add support for symlinking files specific to the RTD
    theme (closes: #781849).
  * Bump version number in sphinx-autogen manpage.
  * Drop initialize_autodoc.diff, the bug seems to be fixed differently
    upstream.
  * Update bug URL in a comment in debian/rules for move to GitHub.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 28 Jul 2015 22:19:39 +0300

sphinx (1.3.1-2) experimental; urgency=medium

  [ Dmitry Shachnev ]
  * debian/patches/no_snowballstemmer.diff: Exclude snowballstemmer
    from setup.py and egg-info requirements.
  * Move the signing keys to debian/upstream/signing-key.asc.

  [ Barry Warsaw ]
  * debian/patches/py35compat.diff: Python 3.5 compatibility.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 30 Jun 2015 21:02:36 +0300

sphinx (1.3.1-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Mark libjs-sphinxdoc Multi-Arch: foreign (closes: #779458).

  [ Dmitry Shachnev ]
  * New upstream release.
    - The codebase now works with Python 3 with no need to run 2to3.
    - Output is now reproducible (closes: #776443).
  * Remove patches:
    - python3_test_build_dir.diff (no longer needed)
    - parallel_2to3.diff (no longer needed)
    - fix_latex_hlines.diff (applied upstream)
  * Bump required versions of python, docutils and pygments.
  * Build-depend and depend on:
    - python[3]-six
    - python[3]-babel
    - python[3]-sphinx-rtd-theme
    - python[3]-alabaster
  * Add python[3]-mock to build-dependencies and test dependencies.
  * Use upstream tarball, which now contains non-minified versions of
    jquery.js and underscore.js.
  * Update debian/watch to use pypi.debian.net redirector.
  * Simplify debian/rules:
    - Adjust for using upstream tarballs.
    - Do not mention site-packages anymore.
  * Update JS tests for the new version.
  * Add a patch to skip JS libraries versions check.
  * Drop 2to3 call from debian/tests/python3-sphinx.
  * Properly clean up after running tests.
  * Bring debian/copyright in sync with upstream AUTHORS file.
  * Disable snowballstemmer-based search until upstream implements
    it correctly (without JS blobs) and we get snowballstemmer packaged.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Override lintian false positive warnings about missing sources for
    minified files (jquery.js, underscore.js, and css3-mediaqueries.js).


=== debian/control ===
Source: sphinx
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Dmitry Shachnev <mitya57@debian.org>,
  Harlan Lieberman-Berg <hlieberman@setec.io>
Homepage: http://sphinx-doc.org/
Build-Depends: debhelper (>= 9)
Build-Depends-Indep: dh-python,
  python-all (>= 2.6.6-3~), python3-all (>= 3.3~),
  python-six (>= 1.4), python3-six (>= 1.4),
  python-setuptools (>= 0.6c5-1~), python3-setuptools,
  python-docutils (>= 0.11), python3-docutils (>= 0.11),
  python-pygments (>= 2.0), python3-pygments (>= 2.0),
  python-jinja2 (>= 2.3), python3-jinja2 (>= 2.3),
  python-sqlalchemy, python3-sqlalchemy,
  python-whoosh, python3-whoosh,
  python-xapian,
  python-nose, python3-nose,
  python-mock, python3-mock,
  python-babel (>= 1.3), python3-babel (>= 1.3),
  python-sphinx-rtd-theme, python3-sphinx-rtd-theme,
  python-alabaster (>= 0.7), python3-alabaster (>= 0.7),
  xvfb, xauth, libjs-jquery (>= 1.4), libjs-underscore,
  python3-gi, gir1.2-webkit-3.0,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
  perl
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.3
Standards-Version: 3.9.6
Vcs-Git: git://anonscm.debian.org/python-modules/packages/sphinx.git
Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx.git

Package: python-sphinx
Architecture: all
Depends: ${misc:Depends}, ${python:Depends},
  python-six (>= 1.4),
  python-docutils (>= 0.11),
  python-pygments (>= 2.0),
  python-jinja2 (>= 2.3),
  python-babel (>= 1.3),
  python-sphinx-rtd-theme,
  python-alabaster (>= 0.7),
  sphinx-common (= ${source:Version})
Recommends: python-pil,
  sphinx-doc
Suggests:
  libjs-mathjax, dvipng,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended
Breaks:
  python-sphinxcontrib.issuetracker (<< 0.11-1),
  python-sphinxcontrib.spelling (<< 2.1.1-1)
Description: documentation generator for Python projects (implemented in Python 2)
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 This package includes Python 2 modules and command line utilities.

Package: python3-sphinx
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends},
  python3-six (>= 1.4),
  python3-docutils (>= 0.11),
  python3-pygments (>= 2.0),
  python3-jinja2 (>= 2.3),
  python3-babel (>= 1.3),
  python3-sphinx-rtd-theme,
  python3-alabaster (>= 0.7),
  sphinx-common (= ${source:Version})
Recommends: python3-pil
Suggests:
  libjs-mathjax, dvipng,
  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
  sphinx-doc
Description: documentation generator for Python projects (implemented in Python 3)
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 Sphinx features:
  * HTML, CHM, LaTeX output,
  * Cross-referencing source code,
  * Automatic indices,
  * Code highlighting, using Pygments,
  * Extensibility. Existing extensions:
    - automatic testing of code snippets,
    - including docstrings from Python modules.
 .
 This package includes Python 3 modules.

Package: sphinx-common
Architecture: all
Depends: ${misc:Depends},
  libjs-sphinxdoc (= ${source:Version})
Recommends: python-sphinx | python3-sphinx
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Description: documentation generator for Python projects - common data
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes manual pages, templates, translations and other data
 files.

Package: sphinx-doc
Section: doc
Architecture: all
Conflicts: python-sphinx (<< 1.1)
Replaces: python-sphinx (<< 1.1)
Depends: docutils-doc, ${misc:Depends}, ${sphinxdoc:Depends}
Description: documentation generator for Python projects - documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package includes documentation of Sphinx itself.

Package: libjs-sphinxdoc
Section: web
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, libjs-jquery (>= 1.11.1), libjs-underscore (>= 1.3.1)
Description: JavaScript support for Sphinx documentation
 Sphinx is a tool for producing documentation for Python projects, using
 reStructuredText as markup language.
 .
 This package provides JavaScript code for documentation generated by Sphinx.

=== debian/tests/control ===
Tests: python-sphinx
Depends: python-sphinx, python-nose, python-mock

Tests: python3-sphinx
Depends: python3-sphinx, python3-nose, python3-mock

Tests: sphinx-doc
Depends: sphinx-doc, python3-gi, gir1.2-webkit-3.0, xauth, xvfb

## sphinx 1.3.6

=== Makefile ===
PYTHON ?= python

.PHONY: all check clean clean-pyc clean-patchfiles clean-backupfiles \
        clean-generated pylint reindent test covertest build convert-utils

DONT_CHECK = -i build -i dist -i sphinx/style/jquery.js \
             -i sphinx/pycode/pgen2 -i sphinx/util/smartypants.py \
             -i .ropeproject -i doc/_build -i tests/path.py \
             -i tests/coverage.py -i env -i utils/convert.py \
             -i sphinx/search/da.py \
             -i sphinx/search/de.py \
             -i sphinx/search/en.py \
             -i sphinx/search/es.py \
             -i sphinx/search/fi.py \
             -i sphinx/search/fr.py \
             -i sphinx/search/hu.py \
             -i sphinx/search/it.py \
             -i sphinx/search/ja.py \
             -i sphinx/search/nl.py \
             -i sphinx/search/no.py \
             -i sphinx/search/pt.py \
             -i sphinx/search/ro.py \
             -i sphinx/search/ru.py \
             -i sphinx/search/sv.py \
             -i sphinx/search/tr.py \
             -i utils/reindent3.py -i utils/check_sources3.py -i .tox

all: clean-pyc clean-backupfiles check test

ifeq ($(PYTHON), python3)
check: convert-utils
	@$(PYTHON) utils/check_sources3.py $(DONT_CHECK) .
else
check:
	@$(PYTHON) utils/check_sources.py $(DONT_CHECK) .
endif

clean: clean-pyc clean-patchfiles clean-backupfiles clean-generated

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +

clean-patchfiles:
	find . -name '*.orig' -exec rm -f {} +
	find . -name '*.rej' -exec rm -f {} +

clean-backupfiles:
	find . -name '*~' -exec rm -f {} +
	find . -name '*.bak' -exec rm -f {} +

clean-generated:
	rm -f utils/*3.py*

pylint:
	@pylint --rcfile utils/pylintrc sphinx

ifeq ($(PYTHON), python3)
reindent: convert-utils
	@$(PYTHON) utils/reindent3.py -r -n .
else
reindent:
	@$(PYTHON) utils/reindent.py -r -n .
endif

test:
	@cd tests; $(PYTHON) run.py -d -m '^[tT]est' $(TEST)

covertest:
	@cd tests; $(PYTHON) run.py -d -m '^[tT]est' --with-coverage \
		--cover-package=sphinx $(TEST)

build:
	@$(PYTHON) setup.py build

ifeq ($(PYTHON), python3)
convert-utils:
	@python3 utils/convert.py -i utils/convert.py utils/
endif

=== sphinx/texinputs/Makefile ===
# Makefile for Sphinx LaTeX output

ALLDOCS = $(basename $(wildcard *.tex))
ALLPDF = $(addsuffix .pdf,$(ALLDOCS))
ALLDVI = $(addsuffix .dvi,$(ALLDOCS))

# Prefix for archive names
ARCHIVEPRREFIX =
# Additional LaTeX options
LATEXOPTS =

LATEX = latex
PDFLATEX = pdflatex
MAKEINDEX = makeindex

all: $(ALLPDF)
all-pdf: $(ALLPDF)
all-dvi: $(ALLDVI)
all-ps: all-dvi
	for f in *.dvi; do dvips $$f; done

all-pdf-ja:
	for f in *.pdf *.png *.gif *.jpg *.jpeg; do extractbb $$f; done
	for f in *.tex; do platex -kanji=utf8 $(LATEXOPTS) $$f; done
	for f in *.tex; do platex -kanji=utf8 $(LATEXOPTS) $$f; done
	for f in *.tex; do platex -kanji=utf8 $(LATEXOPTS) $$f; done
	-for f in *.idx; do mendex -U -f -d "`basename $$f .idx`.dic" -s python.ist $$f; done
	for f in *.tex; do platex -kanji=utf8 $(LATEXOPTS) $$f; done
	for f in *.tex; do platex -kanji=utf8 $(LATEXOPTS) $$f; done
	for f in *.dvi; do dvipdfmx $$f; done

zip: all-$(FMT)
	mkdir $(ARCHIVEPREFIX)docs-$(FMT)
	cp $(ALLPDF) $(ARCHIVEPREFIX)docs-$(FMT)
	zip -q -r -9 $(ARCHIVEPREFIX)docs-$(FMT).zip $(ARCHIVEPREFIX)docs-$(FMT)
	rm -r $(ARCHIVEPREFIX)docs-$(FMT)

tar: all-$(FMT)
	mkdir $(ARCHIVEPREFIX)docs-$(FMT)
	cp $(ALLPDF) $(ARCHIVEPREFIX)docs-$(FMT)
	tar cf $(ARCHIVEPREFIX)docs-$(FMT).tar $(ARCHIVEPREFIX)docs-$(FMT)
	rm -r $(ARCHIVEPREFIX)docs-$(FMT)

bz2: tar
	bzip2 -9 -k $(ARCHIVEPREFIX)docs-$(FMT).tar

# The number of LaTeX runs is quite conservative, but I don't expect it
# to get run often, so the little extra time won't hurt.
%.dvi: %.tex
	$(LATEX) $(LATEXOPTS) '$<'
	$(LATEX) $(LATEXOPTS) '$<'
	$(LATEX) $(LATEXOPTS) '$<'
	-$(MAKEINDEX) -s python.ist '$(basename $<).idx'
	$(LATEX) $(LATEXOPTS) '$<'
	$(LATEX) $(LATEXOPTS) '$<'

%.pdf: %.tex
	$(PDFLATEX) $(LATEXOPTS) '$<'
	$(PDFLATEX) $(LATEXOPTS) '$<'
	$(PDFLATEX) $(LATEXOPTS) '$<'
	-$(MAKEINDEX) -s python.ist '$(basename $<).idx'
	$(PDFLATEX) $(LATEXOPTS) '$<'
	$(PDFLATEX) $(LATEXOPTS) '$<'

clean:
	rm -f *.dvi *.log *.ind *.aux *.toc *.syn *.idx *.out *.ilg *.pla

.PHONY: all all-pdf all-dvi all-ps clean
.PHONY: all-pdf-ja

=== debian/changelog ===
sphinx (1.3.6-2ubuntu1) xenial; urgency=medium

  * Merge with Debian unstable, remaining change:
    - debian/control: Drop the build-dependency on python[3]-whoosh.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Sat, 05 Mar 2016 14:35:22 +0300

sphinx (1.3.6-2) unstable; urgency=medium

  * Use implementation of jstest from Iain Lane in hope it succeeds on
    buildds.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 03 Mar 2016 20:17:15 +0300

sphinx (1.3.6-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Port jstest to WebKit2 (closes: #814909).
  * Remove the now obsolete debian/TODO file.
  * Update debian/source/lintian-overrides for new Lintian versions.
  * Use https in Vcs-Git field.
  * Bump Standards-Version to 3.9.7, no changes needed.

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 02 Mar 2016 10:24:30 +0300

sphinx (1.3.5-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Build-depend on Pygments 2.1, the testsuite now requires it.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 26 Jan 2016 12:57:34 +0300

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: sphinx
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>,
-  Harlan Lieberman-Berg <hlieberman@setec.io>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Homepage: http://sphinx-doc.org/
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python,
@@ -11,10 +11,9 @@
   python-six (>= 1.4), python3-six (>= 1.4),
   python-setuptools (>= 0.6c5-1~), python3-setuptools,
   python-docutils (>= 0.11), python3-docutils (>= 0.11),
-  python-pygments (>= 2.0), python3-pygments (>= 2.0),
+  python-pygments (>= 2.1), python3-pygments (>= 2.1),
   python-jinja2 (>= 2.3), python3-jinja2 (>= 2.3),
   python-sqlalchemy, python3-sqlalchemy,
-  python-whoosh, python3-whoosh,
   python-xapian,
   python-nose, python3-nose,
   python-mock, python3-mock,
@@ -22,13 +21,13 @@
   python-sphinx-rtd-theme, python3-sphinx-rtd-theme,
   python-alabaster (>= 0.7), python3-alabaster (>= 0.7),
   xvfb, xauth, libjs-jquery (>= 1.4), libjs-underscore,
-  python3-gi, gir1.2-webkit-3.0,
+  python3-gi, gir1.2-webkit2-4.0 (>= 2.10),
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
   perl
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.6
-Vcs-Git: git://anonscm.debian.org/python-modules/packages/sphinx.git
+Standards-Version: 3.9.7
+Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx.git
 
 Package: python-sphinx
@@ -98,7 +97,7 @@
 
 Package: sphinx-common
 Architecture: all
-Depends: ${misc:Depends},
+Depends: ${misc:Depends}, 
   libjs-sphinxdoc (= ${source:Version})
 Recommends: python-sphinx | python3-sphinx
 Conflicts: python-sphinx (<< 1.1)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/python/python.mk

export NO_PKG_MANGLE=1
export PYTHONWARNINGS=d
export PYTHONHASHSEED=random
export http_proxy=http://127.0.0.1:9/

here = $(dir $(firstword $(MAKEFILE_LIST)))/..
debian_version = $(word 2,$(shell cd $(here) && dpkg-parsechangelog | grep ^Version:))
upstream_version = $(subst ~,,$(firstword $(subst -, ,$(debian_version))))

locales = $(notdir $(patsubst %/LC_MESSAGES,%,$(wildcard sphinx/locale/*/LC_MESSAGES)))
scripts = $(basename $(wildcard sphinx-*.py))

debroot = debian/tmp/
py2_libdir = $(call py_libdir,$(shell pyversions -d))
py3_libdir = $(call py_libdir,$(shell py3versions -d))
javascript_path = /usr/share/javascript/sphinxdoc/1.0/

python_all = pyversions -r | tr ' ' '\n' | xargs -t -I {} env {}
python3_all = py3versions -r | tr ' ' '\n' | xargs -t -I {} env {}

.PHONY: clean
clean:
	dh_clean 
	find . -name '*.py[co]' -delete
	rm -rf build tests/build
	rm -f $(basename $(wildcard debian/*.in))
	rm -f sphinx/pycode/Grammar*.pickle
	rm -f sphinx/locale/*/LC_MESSAGES/sphinx.js
	rm -f Sphinx.egg-info/SOURCES.txt

.PHONY: build build-arch build-indep
build build-indep: build-stamp

sphinx/themes/basic/static/%.js:
	ln -sf /usr/share/javascript/$(*)/$(*).js $(@)
       
build/javascript-stamp: $(addprefix sphinx/themes/basic/static/,jquery.js underscore.js)
	echo $(^) | xargs -n1 | xargs -t -I {} [ -L {} ]
	mkdir -p $(dir $@)
	touch $(@)

build-stamp: sphinx-build.py build/javascript-stamp
	python ./sphinx-build.py -T doc build/html/
	rm -f build/html/_static/jquery-*.js build/html/_static/underscore-*.js
	find build/html/ -name '*.txt' -or -name '*.html' | xargs -L1 sed -i \
		's!http://docutils.sourceforge.net/docs/!file:///usr/share/doc/docutils-doc/docs/!g'
	rm -rf build/man
	cp -rl build/html build/man
	python ./sphinx-build.py -T -b man doc build/man
	python setup.py build --build-lib build/py2/
	python3 setup.py build --build-lib build/py3/
	python setup.py compile_catalog
ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
	# FIXME: https://github.com/sphinx-doc/sphinx/issues/703
	export LC_ALL=C.UTF-8 && \
	$(python_all) tests/run.py --verbose --no-skip
	export LC_ALL=C.UTF-8 && \
	$(python3_all) tests/run.py --verbose
	rm -rf build/py2/tests/ build/py3/tests/
	xvfb-run -a ./debian/jstest/run-tests build/html/
endif
	# import sphinx.pycode to generate grammar pickle files
	cd build/py2/ && PYTHONHASHSEED=0 python -c "import sphinx.pycode"
	cd build/py3/ && PYTHONHASHSEED=0 python3 -c "import sphinx.pycode"
	touch build-stamp

.PHONY: binary binary-arch binary-indep
binary binary-indep: build-stamp
	dh_testroot
	dh_installdirs
	python setup.py \
		build --build-lib build/py2/ \
		install --no-compile --install-layout=deb --root $(debroot)
	python3 setup.py \
		build --build-lib build/py3/ \
		install --no-compile --install-layout=deb --root $(debroot)
	rm -f $(debroot)/usr/lib/python*/*-packages/Sphinx-*.egg-info/SOURCES.txt
	# move static files outside dist-packages
	sed -i -e "s!^package_dir = .*!package_dir = '/usr/share/sphinx'!" \
		$(debroot)$(py2_libdir)/sphinx/__init__.py \
		$(debroot)$(py3_libdir)/sphinx/__init__.py
	rm -rf $(debroot)/usr/share/sphinx/
	mkdir -p $(debroot)/usr/share/sphinx/
	cd $(debroot) && mv -t usr/share/sphinx/ \
		.$(py2_libdir)/sphinx/texinputs \
		.$(py2_libdir)/sphinx/themes
	mkdir -p $(debroot)/usr/share/sphinx/pycode/
	cd $(debroot) && mv -t usr/share/sphinx/pycode/ \
		.$(py2_libdir)/sphinx/pycode/Grammar*
	cd $(debroot) && mv -t usr/share/sphinx/pycode/ \
		.$(py3_libdir)/sphinx/pycode/Grammar*
	mkdir -p $(debroot)/usr/share/sphinx/ext/autosummary/
	cd $(debroot) && mv -t usr/share/sphinx/ext/autosummary/ \
		.$(py2_libdir)/sphinx/ext/autosummary/templates
	cd $(debroot)$(py3_libdir)/sphinx/ && \
		rm -rf texinputs/ themes/ ext/autosummary/templates/
	set -e -x; \
	cd $(debroot) && \
		for lang in $(locales); \
		do \
			install -m 644 -D .$(py2_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.js \
				usr/share/sphinx/locale/$$lang/sphinx.js; \
			install -m 644 -D .$(py2_libdir)/sphinx/locale/$$lang/LC_MESSAGES/sphinx.mo \
				usr/share/locale/$$lang/LC_MESSAGES/sphinx.mo; \
		done
	cd $(debroot)$(py2_libdir)/sphinx/locale && rm -rf sphinx.pot */
	cd $(debroot)$(py3_libdir)/sphinx/locale && rm -rf sphinx.pot */
	# install scripts not touched by easy install
	set -e -x; \
	for python in python2 python3; do \
		dir=$(debroot)/usr/share/sphinx/scripts/$$python/; \
		mkdir -p $$dir; \
		for script in $(scripts); do \
			sed -e "1 s,#!.*,#!/usr/bin/$${python%2}," $$script.py \
			> $$dir/$$script; \
			rm -f $(debroot)/usr/bin/$$script; \
		done; \
		chmod 755 $$dir/*; \
	done
	set -e -x; \
	for maintscript in $(wildcard debian/sphinx-common.*.in); do \
		sed -e 's/@SCRIPTS@/$(scripts)/' $$maintscript > $${maintscript%.in}; \
	done
	# Move JavaScript code to libjs-sphinxdoc:
	debian/dh-sphinxdoc/install-js debian/libjs-sphinxdoc/$(javascript_path)/
	rm -f $(debroot)/usr/share/sphinx/themes/basic/static/underscore-*.js
	rm -f $(debroot)/usr/share/sphinx/themes/basic/static/jquery-*.js
	rm -f $(debroot)/usr/share/sphinx/themes/bizstyle/static/css3-mediaqueries_src.js
	set -e; \
	for js in $$(find $(debroot)/usr/share/sphinx/themes/ -name '*.js' -a '!' -name 'websupport.js'); do \
		mv $$js debian/libjs-sphinxdoc/$(javascript_path); \
		ln -sf "$(javascript_path)/$${js##*/}" $$js; \
	done
	dh_install -p sphinx-common -X /scripts/
	dh_install -N sphinx-common --fail-missing
	dh_installchangelogs CHANGES
	dh_installdocs
	dh_lintian
	./debian/dh-sphinxdoc/dh_sphinxdoc -p sphinx-doc /usr/share/doc/sphinx-doc/html/
	dh_installexamples
	cd debian/dh-sphinxdoc/ && pod2man -c Debhelper -r '' dh_sphinxdoc dh_sphinxdoc.1
ifneq ($(shell grep -h '^[.]TH' debian/*.1 | cut -d ' ' -f 6-7 | sort -u), "Sphinx $(upstream_version)")
	$(warning W: version numbers in the manual pages are out of date)
endif
	dh_installman
	dh_python2 -p python-sphinx
	dh_python3 -p python3-sphinx --no-guessing-deps
	dh_compress -X.py -X.rst -X.json -X.txt
	dh_link
	dh_fixperms
	dh_installdeb
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# vim:ts=4 sw=4 noet

=== debian/tests/control ===
Tests: python-sphinx
Depends: python-sphinx, python-pygments (>= 2.1), python-nose, python-mock

Tests: python3-sphinx
Depends: python3-sphinx, python3-pygments (>= 2.1), python3-nose, python3-mock

Tests: sphinx-doc
Depends: sphinx-doc, python3-gi, gir1.2-webkit2-4.0 (>= 2.10), xauth, xvfb

## sphinx 1.4.6

=== Makefile ===
PYTHON ?= python

.PHONY: all style-check clean clean-pyc clean-patchfiles clean-backupfiles \
        clean-generated pylint reindent test covertest build

DONT_CHECK = -i build -i dist -i sphinx/style/jquery.js \
             -i sphinx/pycode/pgen2 -i sphinx/util/smartypants.py \
             -i .ropeproject -i doc/_build -i tests/path.py \
             -i tests/coverage.py -i env -i utils/convert.py \
             -i tests/typing_test_data.py \
             -i tests/test_autodoc_py35.py \
             -i tests/roots/test-warnings/undecodable.rst \
             -i tests/build \
             -i sphinx/search/da.py \
             -i sphinx/search/de.py \
             -i sphinx/search/en.py \
             -i sphinx/search/es.py \
             -i sphinx/search/fi.py \
             -i sphinx/search/fr.py \
             -i sphinx/search/hu.py \
             -i sphinx/search/it.py \
             -i sphinx/search/ja.py \
             -i sphinx/search/nl.py \
             -i sphinx/search/no.py \
             -i sphinx/search/pt.py \
             -i sphinx/search/ro.py \
             -i sphinx/search/ru.py \
             -i sphinx/search/sv.py \
             -i sphinx/search/tr.py \
             -i .tox

all: clean-pyc clean-backupfiles style-check test

style-check:
	@$(PYTHON) utils/check_sources.py $(DONT_CHECK) .

clean: clean-pyc clean-pycache clean-patchfiles clean-backupfiles clean-generated clean-testfiles

clean-pyc:
	find . -name '*.pyc' -exec rm -f {} +
	find . -name '*.pyo' -exec rm -f {} +

clean-pycache:
	find . -name __pycache__ -exec rm -rf {} +

clean-patchfiles:
	find . -name '*.orig' -exec rm -f {} +
	find . -name '*.rej' -exec rm -f {} +

clean-backupfiles:
	find . -name '*~' -exec rm -f {} +
	find . -name '*.bak' -exec rm -f {} +

clean-generated:
	rm -f utils/*3.py*

clean-testfiles:
	rm -rf tests/build
	rm -rf .tox/

pylint:
	@pylint --rcfile utils/pylintrc sphinx

reindent:
	@$(PYTHON) utils/reindent.py -r -n .

test:
	@cd tests; $(PYTHON) run.py -I py35 -d -m '^[tT]est' $(TEST)

test-async:
	@cd tests; $(PYTHON) run.py -d -m '^[tT]est' $(TEST)

covertest:
	@cd tests; $(PYTHON) run.py -d -m '^[tT]est' --with-coverage \
		--cover-package=sphinx $(TEST)

build:
	@$(PYTHON) setup.py build

=== tests/root/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d _build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files (usable by e.g. sphinx-web)"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	rm -rf _build/*

html:
	mkdir -p _build/html _build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

pickle:
	mkdir -p _build/pickle _build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) _build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files or run"
	@echo "  sphinx-web _build/pickle"
	@echo "to start the sphinx-web server."

web: pickle

htmlhelp:
	mkdir -p _build/htmlhelp _build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) _build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in _build/htmlhelp."

latex:
	mkdir -p _build/latex _build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) _build/latex
	@echo
	@echo "Build finished; the LaTeX files are in _build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p _build/changes _build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) _build/changes
	@echo
	@echo "The overview file is in _build/changes."

linkcheck:
	mkdir -p _build/linkcheck _build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) _build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in _build/linkcheck/output.txt."

=== debian/changelog ===
sphinx (1.4.6-1~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Al Nikolov <clown@debian.org>  Mon, 03 Oct 2016 19:36:57 +0300

sphinx (1.4.6-1) unstable; urgency=medium

  * New upstream bugfix release (closes: #835026).
  * Bump python[3]-six dependency to 1.5, following upstream.
  * dh_sphinxdoc: Include the list of packages in the error message about
    documentation not found (closes: #833799).

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 24 Aug 2016 21:04:54 +0300

sphinx (1.4.5-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Drop upstream patches:
    - fix_ltz_utcoffset.diff
    - latex_code_robust.diff

 -- Dmitry Shachnev <mitya57@debian.org>  Wed, 13 Jul 2016 22:56:54 +0300

sphinx (1.4.4-3) unstable; urgency=medium

  * Backport upstream patch (latex_code_robust.diff) to fix the \code
    command in generated LaTeX files (closes: #829118).

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 01 Jul 2016 20:59:46 +0300

sphinx (1.4.4-2) unstable; urgency=medium

  * Update Python 2 autopkgtest to not run tests that require Python 3.
  * Add a patch to fix return type of LocalTimeZone.utcoffset when
    SOURCE_DATE_EPOCH is set (fix_ltz_utcoffset.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 21 Jun 2016 17:33:28 +0300

sphinx (1.4.4-1) unstable; urgency=medium

  * New upstream bugfix release.
    - Autodoc now removes all memory addresses (closes: #822197).
  * Drop python3-xapian build-dependency for unstable upload: it is not
    yet available in unstable.
  * Build-depend on graphviz so that the corresponding tests are not
    skipped.
  * Do not install the bundled TeX files from texinput directory:
    - fncychap.sty (available in texlive-latex-extra)
    - iftex.sty (available in texlive-generic-extra)
    - needspace.sty (available in texlive-latex-extra)
    - newfloat.sty (available in texlive-latex-recommended)
  * Suggest texlive-generic-extra instead (the other packages are already in
    the Suggests list).
  * Upload to unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 17 Jun 2016 18:42:56 +0300

sphinx (1.4.3-1) experimental; urgency=medium

  * New upstream bugfix release.
  * Drop the following patches, applied upstream:
    - 0004-Extend-SOURCE_DATE_EPOCH-support.patch
    - 0005-Adapt-to-typing-private-API-change-in-Python-3.5.2.patch
    - 0006-Make-custom-compile_catalog-command-work-with-Babel-.patch
    - 0007-Load-compatibility-patch-for-LuaTeX-0.85.patch
    - 0008-Make-Xapian-search-work-with-Python-3.patch
  * Add Takeshi KOMIYA’s signing key to debian/upstream/signing-key.asc.
  * Bump version number in sphinx-autogen manpage.
  * Build-depend on texlive-generic-extra (for iftex package).

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 06 Jun 2016 19:47:32 +0300

sphinx (1.4.1-2) experimental; urgency=medium

  * Add a patch to make Xapian search tests pass with Python 3.

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 26 May 2016 13:45:43 +0300

sphinx (1.4.1-1) experimental; urgency=medium

  * New upstream release (closes: #824375).
  * Drop the following patches, applied upstream:
    - disable_distribute_setup.diff
    - source_date_epoch.diff
    - reproducible_grammar.diff
    - reproducible_inventory.diff
    - reproducible_js_locale.diff
    - reproducible_searchindex.diff
  * Refresh and rebase other patches.
  * Update debian/watch to correctly mangle upstream alpha releases.
  * Demote sphinx-rtd-theme to Suggests, it has become optional.
  * Add dependency on python[3]-imagesize packages.
  * Bump Pygments build- and test dependencies to 2.1.1.
  * Demote python-sphinx recommendation of sphinx-doc to a suggestion.
  * Refactor the command to run tests to better match upstream.
  * Build-depend on dvipng to get the pngmath test run.
  * Update numbers in jstest/run-tests for the new version.
  * Add a patch from Alexis Bienvenüe to extend SOURCE_DATE_EPOCH support
    (closes: #820895).
  * Add a patch to fix a typing-related test failure with Python 3.5.2.
  * Update debian/copyright based on upstream LICENSE and AUTHORS files.
  * Add a patch to make compile_catalog code work with python-babel 2.3.
  * Add a patch to support LuaTeX 0.85.
  * Build-depend on texlive-luatex for tests.
  * Adapt dh-sphinxdoc/install-js for doctools.js changes.
  * Update sphinx-autogen manpage.
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Build-depend on python3-xapian (closes: #649488).

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 17 May 2016 18:57:02 +0300

=== debian/control ===
--- 
+++ 
@@ -1,51 +1,56 @@
 Source: sphinx
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>
+Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Al Nikolov <clown@debian.org>
 Homepage: http://sphinx-doc.org/
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python,
   python-all (>= 2.6.6-3~), python3-all (>= 3.3~),
-  python-six (>= 1.4), python3-six (>= 1.4),
+  python-six (>= 1.5), python3-six (>= 1.5),
   python-setuptools (>= 0.6c5-1~), python3-setuptools,
   python-docutils (>= 0.11), python3-docutils (>= 0.11),
-  python-pygments (>= 2.1), python3-pygments (>= 2.1),
+  python-pygments (>= 2.1.1), python3-pygments (>= 2.1.1),
   python-jinja2 (>= 2.3), python3-jinja2 (>= 2.3),
   python-sqlalchemy, python3-sqlalchemy,
+  python-whoosh, python3-whoosh,
   python-xapian,
   python-nose, python3-nose,
   python-mock, python3-mock,
   python-babel (>= 1.3), python3-babel (>= 1.3),
-  python-sphinx-rtd-theme, python3-sphinx-rtd-theme,
   python-alabaster (>= 0.7), python3-alabaster (>= 0.7),
+  python-imagesize, python3-imagesize,
   xvfb, xauth, libjs-jquery (>= 1.4), libjs-underscore,
   python3-gi, gir1.2-webkit2-4.0 (>= 2.10),
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
+  texlive-luatex, texlive-generic-extra,
+  dvipng,
+  graphviz,
   perl
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.3
-Standards-Version: 3.9.7
+Standards-Version: 3.9.8
 Vcs-Git: https://anonscm.debian.org/git/python-modules/packages/sphinx.git
 Vcs-Browser: https://anonscm.debian.org/cgit/python-modules/packages/sphinx.git
 
 Package: python-sphinx
 Architecture: all
 Depends: ${misc:Depends}, ${python:Depends},
-  python-six (>= 1.4),
+  python-six (>= 1.5),
   python-docutils (>= 0.11),
   python-pygments (>= 2.0),
   python-jinja2 (>= 2.3),
   python-babel (>= 1.3),
+  python-alabaster (>= 0.7),
+  python-imagesize,
+  sphinx-common (= ${source:Version})
+Recommends: python-pil
+Suggests:
   python-sphinx-rtd-theme,
-  python-alabaster (>= 0.7),
-  sphinx-common (= ${source:Version})
-Recommends: python-pil,
+  libjs-mathjax, dvipng,
+  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
+  texlive-generic-extra,
   sphinx-doc
-Suggests:
-  libjs-mathjax, dvipng,
-  texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended
 Breaks:
   python-sphinxcontrib.issuetracker (<< 0.11-1),
   python-sphinxcontrib.spelling (<< 2.1.1-1)
@@ -67,18 +72,20 @@
 Package: python3-sphinx
 Architecture: all
 Depends: ${misc:Depends}, ${python3:Depends},
-  python3-six (>= 1.4),
+  python3-six (>= 1.5),
   python3-docutils (>= 0.11),
   python3-pygments (>= 2.0),
   python3-jinja2 (>= 2.3),
   python3-babel (>= 1.3),
-  python3-sphinx-rtd-theme,
   python3-alabaster (>= 0.7),
+  python3-imagesize,
   sphinx-common (= ${source:Version})
 Recommends: python3-pil
 Suggests:
+  python3-sphinx-rtd-theme,
   libjs-mathjax, dvipng,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended,
+  texlive-generic-extra,
   sphinx-doc
 Description: documentation generator for Python projects (implemented in Python 3)
  Sphinx is a tool for producing documentation for Python projects, using

=== debian/rules ===
--- 
+++ 
@@ -20,9 +20,6 @@
 py3_libdir = $(call py_libdir,$(shell py3versions -d))
 javascript_path = /usr/share/javascript/sphinxdoc/1.0/
 
-python_all = pyversions -r | tr ' ' '\n' | xargs -t -I {} env {}
-python3_all = py3versions -r | tr ' ' '\n' | xargs -t -I {} env {}
-
 .PHONY: clean
 clean:
 	dh_clean 
@@ -32,6 +29,7 @@
 	rm -f sphinx/pycode/Grammar*.pickle
 	rm -f sphinx/locale/*/LC_MESSAGES/sphinx.js
 	rm -f Sphinx.egg-info/SOURCES.txt
+	cd sphinx/texinputs && rm -f fncychap.sty iftex.sty needspace.sty newfloat.sty
 
 .PHONY: build build-arch build-indep
 build build-indep: build-stamp
@@ -58,9 +56,13 @@
 ifeq "$(filter nocheck,$(DEB_BUILD_OPTIONS))" ""
 	# FIXME: https://github.com/sphinx-doc/sphinx/issues/703
 	export LC_ALL=C.UTF-8 && \
-	$(python_all) tests/run.py --verbose --no-skip
-	export LC_ALL=C.UTF-8 && \
-	$(python3_all) tests/run.py --verbose
+	set -ex; for py in $(shell pyversions -r) $(shell py3versions -r); do \
+		if [ "$$py" \< "python3.5" ]; then \
+			$$py tests/run.py -m '^test' --verbose -I py35; \
+		else \
+			$$py tests/run.py -m '^test' --verbose; \
+		fi; \
+	done
 	rm -rf build/py2/tests/ build/py3/tests/
 	xvfb-run -a ./debian/jstest/run-tests build/html/
 endif

=== debian/watch ===
version=3
opts=uversionmangle=s/(rc|a|b)/~$1/,pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/Sphinx/Sphinx-(.*)\.tar\.gz

## sphinx 1.4.8

=== debian/changelog ===
sphinx (1.4.8-1) unstable; urgency=medium

  * New upstream bugfix release.
  * Stop running jstest during build (but still run it in the autopkgtest).
  * Update debian/watch to track only stable versions.
  * Make dh_sphinxdoc generate ${sphinxdoc:Built-Using} substvar (closes:
    #836248).
  * Call dh_strip_nondeterminism during build.
  * Build-depend on python3-xapian again, now it is in unstable.

 -- Dmitry Shachnev <mitya57@debian.org>  Mon, 03 Oct 2016 17:24:50 +0300

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,11 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>, Al Nikolov <clown@debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>
 Homepage: http://sphinx-doc.org/
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python,
+  dh-strip-nondeterminism,
   python-all (>= 2.6.6-3~), python3-all (>= 3.3~),
   python-six (>= 1.5), python3-six (>= 1.5),
   python-setuptools (>= 0.6c5-1~), python3-setuptools,
@@ -14,14 +15,13 @@
   python-jinja2 (>= 2.3), python3-jinja2 (>= 2.3),
   python-sqlalchemy, python3-sqlalchemy,
   python-whoosh, python3-whoosh,
-  python-xapian,
+  python-xapian, python3-xapian,
   python-nose, python3-nose,
   python-mock, python3-mock,
   python-babel (>= 1.3), python3-babel (>= 1.3),
   python-alabaster (>= 0.7), python3-alabaster (>= 0.7),
   python-imagesize, python3-imagesize,
-  xvfb, xauth, libjs-jquery (>= 1.4), libjs-underscore,
-  python3-gi, gir1.2-webkit2-4.0 (>= 2.10),
+  libjs-jquery (>= 1.4), libjs-underscore,
   texlive-latex-recommended, texlive-latex-extra, texlive-fonts-recommended, texinfo,
   texlive-luatex, texlive-generic-extra,
   dvipng,

=== debian/rules ===
--- 
+++ 
@@ -64,7 +64,6 @@
 		fi; \
 	done
 	rm -rf build/py2/tests/ build/py3/tests/
-	xvfb-run -a ./debian/jstest/run-tests build/html/
 endif
 	# import sphinx.pycode to generate grammar pickle files
 	cd build/py2/ && PYTHONHASHSEED=0 python -c "import sphinx.pycode"
@@ -152,6 +151,7 @@
 	dh_installman
 	dh_python2 -p python-sphinx
 	dh_python3 -p python3-sphinx --no-guessing-deps
+	dh_strip_nondeterminism
 	dh_compress -X.py -X.rst -X.json -X.txt
 	dh_link
 	dh_fixperms

=== debian/tests/control ===
Tests: python-sphinx
Depends: python-sphinx, python-pygments (>= 2.1.1), python-nose, python-mock

Tests: python3-sphinx
Depends: python3-sphinx, python3-pygments (>= 2.1.1), python3-nose, python3-mock

Tests: sphinx-doc
Depends: sphinx-doc, python3-gi, gir1.2-webkit2-4.0 (>= 2.10), xauth, xvfb

## sphinx 1.4.9

=== Makefile ===
--- 
+++ 
@@ -34,7 +34,7 @@
 style-check:
 	@$(PYTHON) utils/check_sources.py $(DONT_CHECK) .
 
-clean: clean-pyc clean-pycache clean-patchfiles clean-backupfiles clean-generated clean-testfiles
+clean: clean-pyc clean-pycache clean-patchfiles clean-backupfiles clean-generated clean-testfiles clean-buildfiles
 
 clean-pyc:
 	find . -name '*.pyc' -exec rm -f {} +
@@ -58,6 +58,9 @@
 	rm -rf tests/build
 	rm -rf .tox/
 
+clean-buildfiles:
+	rm -rf build
+
 pylint:
 	@pylint --rcfile utils/pylintrc sphinx

=== doc/Makefile ===
.PHONY: man
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS   =
SPHINXBUILD  = python ../sphinx-build.py
SPHINXPROJ   = sphinx
SOURCEDIR    = .
BUILDDIR     = _build

# Has to be explicit, otherwise we don't get "make" without targets right.
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

man:
	@$(SPHINXBUILD) -M man "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%:
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sphinx (1.4.9-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Al Nikolov <clown@debian.org>  Tue, 27 Dec 2016 19:29:56 +0200

sphinx (1.4.9-2) unstable; urgency=medium

  * Backport upstream patch to add compatibility with docutils 0.13
    (docutils_0.13.diff).

 -- Dmitry Shachnev <mitya57@debian.org>  Sun, 11 Dec 2016 11:42:43 +0300

sphinx (1.4.9-1) unstable; urgency=medium

  * New upstream bugfix release (closes: #846149).
  * Drop fix_autodoc_new_python.diff, applied upstream.
  * Remove unwanted file sphinx/locale/.DS_Store in clean target.

 -- Dmitry Shachnev <mitya57@debian.org>  Tue, 29 Nov 2016 13:37:31 +0300

sphinx (1.4.8-2) unstable; urgency=medium

  * Relax the check in dh_sphinxdoc to allow different locations of
    searchindex.js file (closes: #841141).
  * Sort $(scripts) variable in Makefile, to fix a reproducibility issue.
  * Backport upstream patch to fix autodoc failures with new Python 3.5
    and Python 3.6 snapshots (fix_autodoc_new_python.diff). Fixes FTBFS.
  * Drop build-dependencies on python[3]-xapian (closes: #842903).
  * Add more tests dependencies to the autopkgtests.
  * Update dh_sphinxdoc manpage for the latest changes (closes: #836248).

 -- Dmitry Shachnev <mitya57@debian.org>  Thu, 17 Nov 2016 21:10:30 +0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
-Uploaders: Dmitry Shachnev <mitya57@debian.org>
+Uploaders: Dmitry Shachnev <mitya57@debian.org>, Al Nikolov <clown@debian.org>
 Homepage: http://sphinx-doc.org/
 Build-Depends: debhelper (>= 9)
 Build-Depends-Indep: dh-python,
@@ -15,7 +15,6 @@
   python-jinja2 (>= 2.3), python3-jinja2 (>= 2.3),
   python-sqlalchemy, python3-sqlalchemy,
   python-whoosh, python3-whoosh,
-  python-xapian, python3-xapian,
   python-nose, python3-nose,
   python-mock, python3-mock,
   python-babel (>= 1.3), python3-babel (>= 1.3),

=== debian/tests/control ===
Tests: python-sphinx
Depends: python-sphinx,
         python-pygments (>= 2.1.1),
         python-nose,
         python-mock,
         python-xapian,
         python-whoosh,
         texlive-latex-extra,
         texlive-generic-extra,
         texlive-fonts-recommended,
         texlive-luatex,
         texinfo,
         dvipng,
         graphviz

Tests: python3-sphinx
Depends: python3-sphinx,
         python3-pygments (>= 2.1.1),
         python3-nose,
         python3-mock,
         python3-xapian,
         python3-whoosh,
         texlive-latex-extra,
         texlive-generic-extra,
         texlive-fonts-recommended,
         texlive-luatex,
         texinfo,
         dvipng,
         graphviz

Tests: sphinx-doc
Depends: sphinx-doc,
         python3-gi,
         gir1.2-webkit2-4.0 (>= 2.10),
         xauth,
         xvfb

=== debian/watch ===
version=3
opts=pgpsigurlmangle=s/$/.asc/ \
https://pypi.debian.net/Sphinx/Sphinx-([\d.]+)\.tar\.gz
